> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an address

> 
    Updates an address, based on a given address ID. You can only update an address
    if it's not a registered address.
  



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json patch /addresses/{addressId}
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /addresses/{addressId}:
    patch:
      tags:
        - Addresses
      summary: Update an address
      description: |2-

            Updates an address, based on a given address ID. You can only update an address
            if it's not a registered address.
          
      operationId: updateAddress
      parameters:
        - name: addressId
          in: path
          required: true
          schema:
            description: The ID of the address to work with.
            type:
              - string
            format: uuid
        - name: accountId
          in: query
          schema:
            type:
              - string
            description: The ID of the account to work with.
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                type:
                  type:
                    - string
                  description: The address type.
                  example: office
                nickName:
                  type:
                    - string
                    - 'null'
                  maxLength: 256
                  description: The nickname of the address.
                  example: office
                addressLine1:
                  type:
                    - string
                  minLength: 1
                  maxLength: 256
                  description: The first line of the address.
                  example: Great Building
                addressLine2:
                  type:
                    - string
                    - 'null'
                  maxLength: 256
                  description: The second line of the address.
                  example: Four Maple Street
                addressLine3:
                  type:
                    - string
                    - 'null'
                  maxLength: 256
                  description: The third line of the address.
                  example: Southwark
                addressContact:
                  type:
                    - string
                    - 'null'
                  maxLength: 256
                  description: The name of the contact associated with the address.
                  example: Brian May
                city:
                  type:
                    - string
                  maxLength: 256
                  description: The city of the address.
                postcode:
                  type:
                    - string
                  maxLength: 50
                  description: The postal or ZIP code of the address.
                  example: SE13UB
                country:
                  type:
                    - string
                  maxLength: 256
                  description: The country of the address.
                  example: England
                countryCode:
                  type:
                    - string
                    - 'null'
                  maxLength: 2
                  description: ISO 3166-1 2 digit country code.
                  example: GB
              example:
                type: office
                nickName: office
                addressLine1: Great Building
                addressLine2: Four Maple Street
                addressLine3: Southwark
                addressContact: Brian May
                city: string
                postcode: SE13UB
                country: England
                countryCode: GB
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    format: uuid
                    description: The ID of the address.
                  type:
                    type:
                      - string
                    description: The address type.
                    example: office
                  nickName:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: The nickname of the address.
                    example: office
                  addressLine1:
                    type:
                      - string
                    minLength: 1
                    maxLength: 256
                    description: The first line of the address.
                    example: Great Building
                  addressLine2:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: The second line of the address.
                    example: Four Maple Street
                  addressLine3:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: The third line of the address.
                    example: Southwark
                  addressContact:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: The name of the contact associated with the address.
                    example: Brian May
                  city:
                    type:
                      - string
                    maxLength: 256
                    description: The city of the address.
                  postcode:
                    type:
                      - string
                    maxLength: 50
                    description: The postal or ZIP code of the address.
                    example: SE13UB
                  country:
                    type:
                      - string
                    maxLength: 256
                    description: The country of the address.
                    example: England
                  countryCode:
                    type:
                      - string
                      - 'null'
                    maxLength: 2
                    description: ISO 3166-1 2 digit country code.
                    example: GB
                required:
                  - id
                  - type
                  - addressLine1
                  - city
                  - postcode
                  - country
                example:
                  id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                  type: office
                  nickName: office
                  addressLine1: Great Building
                  addressLine2: Four Maple Street
                  addressLine3: Southwark
                  addressContact: Brian May
                  city: string
                  postcode: SE13UB
                  country: England
                  countryCode: GB
      security:
        - CommonAuth:
            - accounts:update:any
            - cis:addresses:create
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request PATCH \
              --url 'https://api.equalsmoney.com/v2/addresses/{addressId}?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "type": "office",
              "nickName": "office",
              "addressLine1": "Great Building",
              "addressLine2": "Four Maple Street",
              "addressLine3": "Southwark",
              "addressContact": "Brian May",
              "city": "string",
              "postcode": "SE13UB",
              "country": "England",
              "countryCode": "GB"
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````